UALEA(4)

NAME
ualea - Araneus Alea II USB TRNG

SYNOPSIS
ualea* at uhub?

DESCRIPTION
The ualea driver provides support for the Araneus Alea II, a USB true random number generator (TRNG). It delivers 100kbit/sec of hardware-generated entropy. ualea reads raw entropy from the Alea II and uses add_true_randomness(9) to add it to the system entropy pool.

The product documentation states that the USB interface used by the Alea II is the same as that used by its predecessor the Alea I; theoretically this means that the Alea I should work but this has not been tested.

SEE ALSO
intro(4), usb(4), add_true_randomness(9)

HISTORY
The ualea driver first appeared in OpenBSD 5.7.

AUTHORS
The ualea driver was written by Sean Levy <attila@stalphonsos.com>.